it-mure.jp.net

iPod Touch(iPhone)のファームウェアを更新しますか?

UbuntuでiPod Touch(iPhone)のファームウェアを更新する必要があります。iPodTouchをジェイルブレイクしたため、アプリをインストールするためにiTunesが必要ですが、残念ながらUbuntuでそれを行う方法はまだ見つかりません。 VirtualBoxまたはWineを使用できることは知っていますが、ほとんどの場合、iTunesは動作しませんWine VirtualBoxの場合、数か月前にUbuntuに切り替えたWindowsを再度インストールする必要があります。

この場合、iPod Touch(iPhone)を使用しているLinuxユーザーは何をしますか?

問題を解決するための提案は喜んでいます。

そして最後に、AppleがLinux OS向けのiTunesを開発するまでどのくらいかかりますか?

18
Bakhtiyor

ITunesの一部の古いバージョンは現在Wine(またはCrossover)で動作するようにできますが、これらを使用して新しいiPodを更新または同期することはできません

その理由は、WineにはWindows USBデバイスドライバーのハンドラーがなく、iPodはカスタムUSBデバイスとして機能するためです。これは、特別なキードングルを必要とするソフトウェアも(まだ)Wineで動作しないのと同じ理由です。これにはいくつかの予備パッチがあります。 Wine wiki で詳細な履歴を読むことができますが、何も機能しないことを期待してください。

現在Wineで動作するiPodは、単純なUSB大容量記憶装置として機能する本当に古いiPodです。そして、それでも古い、動作中のiTunesを見つける必要があります。

Wineのこの問題のため、ファームウェアのアップグレードを行うには、VirtualboxまたはVMwareで仮想マシンをセットアップするか、おそらくもっと簡単に他の人のコンピューターを借りる必要があります。

9
Scott Ritchie

これがお使いのiPod touchで動作するかどうかはわかりませんが、古いiPodでは動作します: http://code.google.com/p/iPod-update/

4
manyxcxi

クロスオーバーiTunesのページ を見ると、2、3のバージョンがいくらか機能すると報告されています。クロスオーバーにはお金がかかりますが、あなたにとっては価値があるかもしれません。

3

ファームウェアアップグレードは機能しませんでした。vmplayerを使用するUbuntu 8.04 LTSとiTunesを使用する古いXP。

チャンスは無い。仕事側でWindows PCにiphoneを接続するまで、その日のiphoneは故障していました。

この観点から:アップル製品は絶対に禁止です!携帯電話を持つためにiTunesを備えたWindowsまたはMacが必要なのはなぜですか? 「魔法のようなもの」を購入する際、機能させるにはiTunesを実行する必要があるとどこに記載されていますか?誰が前にコストを知っていますか?

3
Ice

libimobiledevice

まだ実験段階ですが、 libimobiledevice を確認する必要があります。現時点ではGUIはありませんが、iPod touchモデルをLinux(ソフトウェアのアップグレードやダウングレードを含む)で動作させるために取り組んでいます。


編集: buntu Wiki によると、これは少なくとも14.04以降のデフォルトであり、さまざまなプロジェクトで実装されています。詳細については、libimobiledeviceプロジェクトページのニュースとステータスを確認してください。現在、彼らはiOS 9をサポートしていると主張していますが、これは執筆時点ではまだベータ版でした。

2
PierreS

VMwareで実行しているiTunesを使用して、v2からv3にiPhoneファームウェアを更新するのに疲れました。プロセスは途中で停止し、iPhoneは役に立たなくなりました。私はそれを友人のWindowsマシンに接続し、何度かアップデートを試みた後、復活しました。

ただし、同じメジャーバージョンを使用したアップデートは、iTunes/VMwareでも問題なく機能しました。

0
A.B.